Your message dated Thu, 13 Oct 2016 21:11:23 -0400
with message-id <>
and subject line Re: Bug#840592: vim: Setting in /etc/vim/vimrc no effect / not 
has caused the Debian Bug report #840592,
regarding vim: Setting in /etc/vim/vimrc no effect / not working
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact

Debian Bug Tracking System
Contact with problems
--- Begin Message ---
Package: vim
Version: 2:8.0.0022-1
Severity: normal

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?

   Setting in /etc/vim/vimrc or /etc/vim/vimrc.local no

   Only setting in $HOME/.vimrc work.

   ls -l /usr/share/vimrc -> /etc/vim/vimrc
   ls -l /usr/share/vimfiles -> /etc/vim

   Please help, thank you.

   * What exactly did you do (or not do) that was effective (or
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***

-- Package-specific info:

--- real paths of main Vim binaries ---
/usr/bin/vi is /usr/bin/vim.gtk3
/usr/bin/vim is /usr/bin/vim.gtk3
/usr/bin/gvim is /usr/bin/vim.gtk3

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.7.0-1-grsec-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_US.utf8, LC_CTYPE=en_US.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages vim depends on:
ii  libacl1      2.2.52-3
ii  libc6        2.24-3
ii  libgpm2      1.20.4-6.2
ii  libselinux1  2.5-3
ii  libtinfo5    6.0+20160917-1
ii  vim-common   2:8.0.0022-1
ii  vim-runtime  2:8.0.0022-1

vim recommends no packages.

Versions of packages vim suggests:
pn  ctags        <none>
pn  vim-doc      <none>
pn  vim-scripts  <none>

-- no debconf information

--- End Message ---
--- Begin Message ---
On Thu, Oct 13, 2016 at 10:12:32AM +0800, john wrote:
>    Setting in /etc/vim/vimrc or /etc/vim/vimrc.local no
>    effect.
>    Only setting in $HOME/.vimrc work.

As already discussed in other bug reports and in the NEWS file, Vim now
ships with a defaults.vim that is loaded when the user has no vimrc.

See ":help defaults.vim" for more information.

You can either disable it in your system vimrc or load it then and
override the options you don't like.

GPG Key: 4096R/91BF BF4D 6956 BD5D F7B7  2D23 DFE6 91AE 331B A3DB

--- End Message ---

Reply via email to